#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(can_put_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_echo_skb, "_gpl", "");
KSYMTAB_FUNC(can_free_echo_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canfd_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_canxl_skb, "_gpl", "");
KSYMTAB_FUNC(alloc_can_err_skb, "_gpl", "");
KSYMTAB_FUNC(can_dropped_invalid_skb, "_gpl", "");
KSYMTAB_FUNC(can_get_state_str, "_gpl", "");
KSYMTAB_FUNC(can_change_state, "_gpl", "");
KSYMTAB_FUNC(can_bus_off, "_gpl", "");
KSYMTAB_FUNC(alloc_candev_mqs, "_gpl", "");
KSYMTAB_FUNC(free_candev, "_gpl", "");
KSYMTAB_FUNC(can_change_mtu, "_gpl", "");
KSYMTAB_FUNC(can_eth_ioctl_hwts, "", "");
KSYMTAB_FUNC(can_ethtool_op_get_ts_info_hwts, "", "");
KSYMTAB_FUNC(open_candev, "_gpl", "");
KSYMTAB_FUNC(close_candev, "_gpl", "");
KSYMTAB_FUNC(register_candev, "_gpl", "");
KSYMTAB_FUNC(unregister_candev, "_gpl", "");
KSYMTAB_FUNC(safe_candev_priv, "_gpl", "");
KSYMTAB_FUNC(can_fd_dlc2len, "_gpl", "");
KSYMTAB_FUNC(can_fd_len2dlc, "_gpl", "");
KSYMTAB_FUNC(can_skb_get_frame_len, "_gpl", "");

SYMBOL_CRC(can_put_echo_skb, 0x5ae6a081, "_gpl");
SYMBOL_CRC(can_get_echo_skb, 0xbf4a046e, "_gpl");
SYMBOL_CRC(can_free_echo_skb, 0x623cb51d, "_gpl");
SYMBOL_CRC(alloc_can_skb, 0x6ffcbc09, "_gpl");
SYMBOL_CRC(alloc_canfd_skb, 0x8993929e, "_gpl");
SYMBOL_CRC(alloc_canxl_skb, 0x6617d753, "_gpl");
SYMBOL_CRC(alloc_can_err_skb, 0x5ec4c31e, "_gpl");
SYMBOL_CRC(can_dropped_invalid_skb, 0x98a53c95, "_gpl");
SYMBOL_CRC(can_get_state_str, 0x10d892eb, "_gpl");
SYMBOL_CRC(can_change_state, 0xd390fa50, "_gpl");
SYMBOL_CRC(can_bus_off, 0x0aee80e0, "_gpl");
SYMBOL_CRC(alloc_candev_mqs, 0x23a27788, "_gpl");
SYMBOL_CRC(free_candev, 0xe1251001, "_gpl");
SYMBOL_CRC(can_change_mtu, 0x98d5e705, "_gpl");
SYMBOL_CRC(can_eth_ioctl_hwts, 0xb3fdd299, "");
SYMBOL_CRC(can_ethtool_op_get_ts_info_hwts, 0x55a55753, "");
SYMBOL_CRC(open_candev, 0xeca80a61, "_gpl");
SYMBOL_CRC(close_candev, 0xdbd03714, "_gpl");
SYMBOL_CRC(register_candev, 0xe4a2591e, "_gpl");
SYMBOL_CRC(unregister_candev, 0x6d968be1, "_gpl");
SYMBOL_CRC(safe_candev_priv, 0x6f9c76f6, "_gpl");
SYMBOL_CRC(can_fd_dlc2len, 0xf12d9387, "_gpl");
SYMBOL_CRC(can_fd_len2dlc, 0x6047ede6, "_gpl");
SYMBOL_CRC(can_skb_get_frame_len, 0xd47a6d48, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8060debe, "skb_put" },
	{ 0xe5f344bf, "gpiod_set_value" },
	{ 0x4e8e817a, "skb_tstamp_tx" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x1e2e1eb3, "unregister_netdev" },
	{ 0x225066fe, "rtnl_link_register" },
	{ 0x1d86c56d, "netdev_warn" },
	{ 0x87a3f045, "devm_gpiod_get_optional" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0x7d8b24c4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x541565e1, "alloc_netdev_mqs" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0x78435d2b, "device_property_read_u32_array" },
	{ 0x8cbfcc41, "rtnl_link_unregister" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xee67f4f0, "register_netdev" },
	{ 0x64ce7040, "free_netdev" },
	{ 0x6e16b565, "sock_efree" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x26a811d7, "netif_rx" },
	{ 0x5aaf1148, "__netdev_alloc_skb" },
	{ 0x4a6d3d5, "skb_trim" },
	{ 0xc4b26115, "__dynamic_netdev_dbg" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71759287, "netif_carrier_off" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x2b889be8, "skb_clone" },
	{ 0x83480106, "netif_carrier_on" },
	{ 0x5d844b43, "dev_err_probe" },
	{ 0x32711d5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe1c961fe, "skb_clone_tx_timestamp" },
	{ 0x88c23b42, "netdev_info" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "1CED7D9B41A22F946AE5397");
MODULE_INFO(rhelversion, "9.6");
