#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(wwan_get_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_put_debugfs_dir, "_gpl", "");
KSYMTAB_FUNC(wwan_create_port, "_gpl", "");
KSYMTAB_FUNC(wwan_remove_port, "_gpl", "");
KSYMTAB_FUNC(wwan_port_rx, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txon, "_gpl", "");
KSYMTAB_FUNC(wwan_port_txoff, "_gpl", "");
KSYMTAB_FUNC(wwan_port_get_drvdata, "_gpl", "");
KSYMTAB_FUNC(wwan_register_ops, "_gpl", "");
KSYMTAB_FUNC(wwan_unregister_ops, "_gpl", "");

SYMBOL_CRC(wwan_get_debugfs_dir, 0xd1c3ffe1, "_gpl");
SYMBOL_CRC(wwan_put_debugfs_dir, 0xda287aff, "_gpl");
SYMBOL_CRC(wwan_create_port, 0x45ccd417, "_gpl");
SYMBOL_CRC(wwan_remove_port, 0xb74c31cd, "_gpl");
SYMBOL_CRC(wwan_port_rx, 0x466546fc, "_gpl");
SYMBOL_CRC(wwan_port_txon, 0x3d9bbf75, "_gpl");
SYMBOL_CRC(wwan_port_txoff, 0x4dff61e5, "_gpl");
SYMBOL_CRC(wwan_port_get_drvdata, 0x526bcf2a, "_gpl");
SYMBOL_CRC(wwan_register_ops, 0xd5a2898d, "_gpl");
SYMBOL_CRC(wwan_unregister_ops, 0x3d2fa03f, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb033f548, "ida_alloc_range" },
	{ 0x4f6c5bcd, "class_dev_iter_next" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd315e99e, "__nlmsg_put" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8060debe, "skb_put" },
	{ 0x4efab61e, "dev_set_name" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x90f10d55, "device_unregister" },
	{ 0x838af515, "skb_dequeue" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xd343cf74, "finish_wait" },
	{ 0x225066fe, "rtnl_link_register" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x37a0cba, "kfree" },
	{ 0x908e7e97, "device_for_each_child" },
	{ 0xa016dbd6, "prepare_to_wait_event" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x775a1085, "rtnl_create_link" },
	{ 0xd64ce006, "unregister_netdevice_queue" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x390a804b, "skb_queue_purge_reason" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x541565e1, "alloc_netdev_mqs" },
	{ 0xc184273d, "class_dev_iter_exit" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0x1000e51, "schedule" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xd1222aad, "put_device" },
	{ 0x3935ff5a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x4057c664, "_dev_info" },
	{ 0xf21f0826, "skb_queue_tail" },
	{ 0xb813fd4b, "rtnl_configure_link" },
	{ 0xe58c9010, "compat_ptr_ioctl" },
	{ 0xfe487975, "init_wait_entry" },
	{ 0x8cbfcc41, "rtnl_link_unregister" },
	{ 0x430cced, "init_net" },
	{ 0x81860c65, "skb_pull" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0xd3afb212, "noop_llseek" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xa321f37c, "debugfs_remove" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xaf780e2d, "ida_free" },
	{ 0x64ce7040, "free_netdev" },
	{ 0x97909044, "class_unregister" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0xc76d1a0b, "class_dev_iter_init" },
	{ 0xbc301361, "device_register" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x7dadce4d, "__register_chrdev" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x486bd0e9, "stream_open" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xe318e7ec, "device_find_child_by_name" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc0dad63f, "debugfs_create_dir" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xd2449e20, "class_register" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xb0130245, "skb_queue_head" },
	{ 0xbbea351c, "class_find_device" },
	{ 0x6bc3fbc0, "__unregister_chrdev" },
	{ 0xe5b0329b, "register_netdevice" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "5F523DC18C1E553FB04656D");
MODULE_INFO(rhelversion, "9.6");
