#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(nf_br_ops, "_gpl", "");
KSYMTAB_FUNC(br_fdb_find_port, "_gpl", "");
KSYMTAB_FUNC(br_fdb_clear_offload, "_gpl", "");
KSYMTAB_FUNC(br_dev_queue_push_xmit, "_gpl", "");
KSYMTAB_FUNC(br_forward_finish, "_gpl", "");
KSYMTAB_FUNC(br_forward, "_gpl", "");
KSYMTAB_FUNC(br_port_flag_is_set, "_gpl", "");
KSYMTAB_FUNC(br_handle_frame_finish, "_gpl", "");
KSYMTAB_FUNC(br_port_get_stp_state, "_gpl", "");
KSYMTAB_FUNC(br_get_ageing_time, "_gpl", "");
KSYMTAB_FUNC(br_multicast_enabled, "_gpl", "");
KSYMTAB_FUNC(br_multicast_router, "_gpl", "");
KSYMTAB_FUNC(br_multicast_list_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_anywhere, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_querier_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_multicast_has_router_adjacent, "_gpl", "");
KSYMTAB_FUNC(br_vlan_enabled, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_proto, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_pvid_rcu, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info, "_gpl", "");
KSYMTAB_FUNC(br_vlan_get_info_rcu, "_gpl", "");
KSYMTAB_FUNC(br_mst_enabled, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_info, "_gpl", "");
KSYMTAB_FUNC(br_mst_get_state, "_gpl", "");

SYMBOL_CRC(nf_br_ops, 0x9fe0eca7, "_gpl");
SYMBOL_CRC(br_fdb_find_port, 0xd8a445f8, "_gpl");
SYMBOL_CRC(br_fdb_clear_offload, 0x11634d2d, "_gpl");
SYMBOL_CRC(br_dev_queue_push_xmit, 0x6a6533c9, "_gpl");
SYMBOL_CRC(br_forward_finish, 0xe1de49da, "_gpl");
SYMBOL_CRC(br_forward, 0x240ca6ef, "_gpl");
SYMBOL_CRC(br_port_flag_is_set, 0x27608ea5, "_gpl");
SYMBOL_CRC(br_handle_frame_finish, 0xd254394c, "_gpl");
SYMBOL_CRC(br_port_get_stp_state, 0x1e832a9e, "_gpl");
SYMBOL_CRC(br_get_ageing_time, 0x949de764, "_gpl");
SYMBOL_CRC(br_multicast_enabled, 0xf2130523, "_gpl");
SYMBOL_CRC(br_multicast_router, 0x6ca36047, "_gpl");
SYMBOL_CRC(br_multicast_list_adjacent, 0x2fd06e67, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_anywhere, 0x89df0af1, "_gpl");
SYMBOL_CRC(br_multicast_has_querier_adjacent, 0x0b3d55af, "_gpl");
SYMBOL_CRC(br_multicast_has_router_adjacent, 0xde77a2cb, "_gpl");
SYMBOL_CRC(br_vlan_enabled, 0x4eb3047b, "_gpl");
SYMBOL_CRC(br_vlan_get_proto, 0xc74df438, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid, 0x1f1eb7b7, "_gpl");
SYMBOL_CRC(br_vlan_get_pvid_rcu, 0x1c1139c6, "_gpl");
SYMBOL_CRC(br_vlan_get_info, 0xdd7a2e95, "_gpl");
SYMBOL_CRC(br_vlan_get_info_rcu, 0x0fe22b63, "_gpl");
SYMBOL_CRC(br_mst_enabled, 0x6b572e30, "_gpl");
SYMBOL_CRC(br_mst_get_info, 0xd7026378, "_gpl");
SYMBOL_CRC(br_mst_get_state, 0xc6e44b56, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x873fbd5b, "netdev_lower_get_next" },
	{ 0x5c1f9f7c, "dev_set_mtu" },
	{ 0x69668826, "netdev_increment_features" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xcf536444, "dev_pre_changeaddr_notify" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x1cd74a11, "skb_copy_bits" },
	{ 0xd315e99e, "__nlmsg_put" },
	{ 0x1329a54d, "switchdev_port_attr_set" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x174434c4, "ipv6_mc_check_mld" },
	{ 0x8060debe, "skb_put" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x9e669e15, "call_switchdev_notifiers" },
	{ 0xd2da23f1, "sysfs_create_file_ns" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0x85670f1d, "rtnl_is_locked" },
	{ 0x78583855, "netdev_update_features" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x7d0db45c, "jiffies_to_clock_t" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x19e0ae50, "__SCT__tp_func_br_fdb_external_learn_add" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x733ec33e, "__SCT__tp_func_fdb_delete" },
	{ 0xa9f608a2, "dev_uc_del" },
	{ 0x225066fe, "rtnl_link_register" },
	{ 0xe2b3207a, "unregister_switchdev_notifier" },
	{ 0x427bf6c0, "sysfs_create_bin_file" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x69acdf38, "memcpy" },
	{ 0x867ca577, "switchdev_port_obj_act_is_deferred" },
	{ 0xcfd69ac2, "dev_get_iflink" },
	{ 0x37a0cba, "kfree" },
	{ 0x8ed4bee5, "dev_set_promiscuity" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x9f15f501, "timer_delete" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xf6ebc03b, "net_ratelimit" },
	{ 0xd64ce006, "unregister_netdevice_queue" },
	{ 0xd63e28a5, "kmem_cache_create" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xca21ebd3, "bitmap_free" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xfb5395be, "netdev_state_change" },
	{ 0x99b82caa, "__dev_get_by_name" },
	{ 0x66357cd5, "ether_setup" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x7d8b24c4, "netdev_err" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x20cbb30a, "__percpu_counter_init" },
	{ 0xa747d74, "pskb_expand_head" },
	{ 0x70cd7537, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x8048ec51, "brioctl_set" },
	{ 0xb912560d, "static_key_disable" },
	{ 0x7bdbc3df, "arp_xmit" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x541565e1, "alloc_netdev_mqs" },
	{ 0x86595e79, "passthru_features_check" },
	{ 0xf159bfd0, "nla_put_nohdr" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xf037da35, "netdev_rx_handler_unregister" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xd8c9d9bb, "__SCK__tp_func_br_mdb_full" },
	{ 0x7d6136bf, "rtnl_af_register" },
	{ 0x8707323d, "__tracepoint_br_mdb_full" },
	{ 0xb11cc43b, "__SCT__tp_func_br_fdb_update" },
	{ 0x7916343c, "__SCT__tp_func_br_mdb_full" },
	{ 0xa916b694, "strnlen" },
	{ 0x3935ff5a, "__alloc_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x1a05b7da, "kmem_cache_alloc" },
	{ 0x56918d01, "rtnl_set_sk_err" },
	{ 0xb0f8e3fb, "skb_vlan_pop" },
	{ 0x8fc38f9d, "rtnl_unicast" },
	{ 0x9d53cf03, "sysfs_create_link" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x6da2a355, "ipv6_dev_get_saddr" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x9eacf8a5, "kstrndup" },
	{ 0x3caf8e80, "nla_reserve_64bit" },
	{ 0x2a8c08d, "__ip_mc_dec_group" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xb875c9b0, "__dev_get_by_index" },
	{ 0x8cbfcc41, "rtnl_link_unregister" },
	{ 0x3451d592, "try_to_del_timer_sync" },
	{ 0x36242943, "switchdev_deferred_process" },
	{ 0xf71ace42, "dev_get_port_parent_id" },
	{ 0x430cced, "init_net" },
	{ 0x1b9f41ee, "ipv6_stub" },
	{ 0x8c0116c2, "inet_confirm_addr" },
	{ 0x81860c65, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x7e1e4787, "sysfs_remove_link" },
	{ 0xd727824f, "skb_vlan_untag" },
	{ 0x8677245d, "unregister_switchdev_blocking_notifier" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xa1727bb5, "__SCK__tp_func_br_fdb_add" },
	{ 0x1bad6166, "rtnl_af_unregister" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xa7eedcc4, "call_usermodehelper" },
	{ 0xf4f14de6, "rtnl_trylock" },
	{ 0xf58c0236, "arp_send" },
	{ 0x89aa73, "dev_get_by_index_rcu" },
	{ 0x6a11f58c, "__tracepoint_br_fdb_add" },
	{ 0x652032cb, "mac_pton" },
	{ 0xdb4f5010, "skb_push" },
	{ 0x136a0603, "kmem_cache_free" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x79a9671, "ndo_dflt_fdb_dump" },
	{ 0x5a921311, "strncmp" },
	{ 0x51e486e7, "netdev_upper_dev_unlink" },
	{ 0xef7b7494, "netif_receive_skb" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xcaa688d4, "llc_mac_hdr_init" },
	{ 0x64ce7040, "free_netdev" },
	{ 0xcd279169, "nla_find" },
	{ 0x77db6c25, "mod_delayed_work_on" },
	{ 0xf3c61c3, "__SCK__tp_func_fdb_delete" },
	{ 0xd69d3821, "kobject_init_and_add" },
	{ 0xa26a9314, "__skb_warn_lro_forwarding" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x7cb583e0, "ns_capable" },
	{ 0x69ef3d9e, "inet_select_addr" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x81aa53fd, "sysfs_create_group" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x2ced0292, "ethtool_op_get_link" },
	{ 0x6d294e43, "clock_t_to_jiffies" },
	{ 0xe6cbf29c, "arp_create" },
	{ 0xe216a8f7, "__ethtool_get_link_ksettings" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0xd0df0747, "stp_proto_register" },
	{ 0x979232ec, "rtnl_register_module" },
	{ 0x4c77b638, "__tracepoint_br_fdb_update" },
	{ 0xd706deb1, "sysfs_rename_link_ns" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc08ce0, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xfb578fc5, "memset" },
	{ 0x5c3c7387, "kstrtoull" },
	{ 0x2688ec10, "bitmap_zalloc" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x59480a68, "switchdev_port_obj_add" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0x51ef7b65, "__pskb_pull_tail" },
	{ 0x34397270, "dev_get_tstats64" },
	{ 0xad645234, "register_switchdev_notifier" },
	{ 0x26a811d7, "netif_rx" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xba19f62d, "ip_mc_check_igmp" },
	{ 0x5aaf1148, "__netdev_alloc_skb" },
	{ 0xec74d372, "rhashtable_destroy" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x6bf44cf5, "switchdev_port_obj_del" },
	{ 0xf8c78091, "netdev_master_upper_dev_link" },
	{ 0x131db64a, "system_long_wq" },
	{ 0xf5192b, "kobject_create_and_add" },
	{ 0x4a6d3d5, "skb_trim" },
	{ 0x6d9290e7, "nf_hook_slow" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc4b26115, "__dynamic_netdev_dbg" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2e1bbb91, "__ip_mc_inc_group" },
	{ 0x24895748, "netdev_walk_all_upper_dev_rcu" },
	{ 0x4c73bbf5, "sysfs_remove_group" },
	{ 0xf8210c06, "in_dev_finish_destroy" },
	{ 0x5f98bdb6, "nf_hooks_needed" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xc45feffa, "__tracepoint_fdb_delete" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x3bcbceab, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x822838f7, "vlan_vid_add" },
	{ 0x42d8f049, "neigh_destroy" },
	{ 0x3ad6b9f2, "__tracepoint_br_fdb_external_learn_add" },
	{ 0x652b030b, "kobject_del" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x2d44be3b, "__SCT__tp_func_br_fdb_add" },
	{ 0x1676edcb, "__SCK__tp_func_br_fdb_update" },
	{ 0x46138f69, "call_netdevice_notifiers" },
	{ 0x9c83cefd, "is_skb_forwardable" },
	{ 0x717bddd0, "vlan_vid_del" },
	{ 0xac81f41c, "dev_set_allmulti" },
	{ 0x4b75babf, "net_ns_get_ownership" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0xee38ef57, "register_switchdev_blocking_notifier" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x884ea896, "netdev_master_upper_dev_get" },
	{ 0xd34daf71, "ipv6_dev_mc_inc" },
	{ 0xb5e0b37, "rtnl_notify" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0x71759287, "netif_carrier_off" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x9bdac435, "__vlan_find_dev_deep_rcu" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x87dd9e95, "skb_copy" },
	{ 0x20000329, "simple_strtoul" },
	{ 0x2b889be8, "skb_clone" },
	{ 0x5ae47fa0, "__SCK__tp_func_br_fdb_external_learn_add" },
	{ 0xcc7f158f, "metadata_dst_alloc" },
	{ 0xc9ed10cc, "dst_release" },
	{ 0x83480106, "netif_carrier_on" },
	{ 0xfd3ca002, "kobject_uevent" },
	{ 0x9a981cee, "arp_tbl" },
	{ 0x4c105d0f, "ipv6_dev_mc_dec" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xf805bb60, "netdev_rx_handler_register" },
	{ 0x3b8c77f7, "dev_uc_add" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xd017b06e, "netif_set_tso_max_size" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0xd0d18b7c, "dev_disable_lro" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x6686877, "ipv6_chk_addr" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x8d312d8b, "dev_get_flags" },
	{ 0x754d539c, "strlen" },
	{ 0x44154c6, "tc_skb_ext_tc" },
	{ 0x32711d5, "dev_kfree_skb_any_reason" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xe0436f01, "netdev_notice" },
	{ 0x91eb9b4, "round_jiffies" },
	{ 0x7b52e38, "rtnl_unregister" },
	{ 0xac537ac2, "percpu_counter_destroy" },
	{ 0x5885c815, "nf_queue" },
	{ 0x20eadeb6, "ip_compute_csum" },
	{ 0xb701f0be, "netif_set_tso_max_segs" },
	{ 0x349cba85, "strchr" },
	{ 0xcc604b16, "skb_ext_add" },
	{ 0x1f8bf464, "sysfs_remove_bin_file" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xdb9a563b, "stp_proto_unregister" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x24010cdc, "neigh_lookup" },
	{ 0xf54c3ef2, "kmem_cache_destroy" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x3c521aeb, "kobject_put" },
	{ 0xe5b0329b, "register_netdevice" },
	{ 0x6b2b69f7, "static_key_enable" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "ipv6,llc,stp");


MODULE_INFO(srcversion, "67885D644642DF92201C6AC");
MODULE_INFO(rhelversion, "9.6");
