#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nf_ct_nat_ext_add, "_gpl", "");
KSYMTAB_FUNC(nf_nat_setup_info, "", "");
KSYMTAB_FUNC(nf_nat_alloc_null_binding, "_gpl", "");
KSYMTAB_FUNC(nf_nat_packet, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmp_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv4_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_icmpv6_reply_translation, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_ipv6_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_register_fn, "_gpl", "");
KSYMTAB_FUNC(nf_nat_inet_unregister_fn, "_gpl", "");
KSYMTAB_FUNC(__nf_nat_mangle_tcp_packet, "", "");
KSYMTAB_FUNC(nf_nat_mangle_udp_packet, "", "");
KSYMTAB_FUNC(nf_nat_follow_master, "", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_redirect_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv4, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_ipv6, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_register_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_nat_masquerade_inet_unregister_notifiers, "_gpl", "");
KSYMTAB_FUNC(nf_ct_nat, "_gpl", "");

SYMBOL_CRC(nf_ct_nat_ext_add, 0xf006c57a, "_gpl");
SYMBOL_CRC(nf_nat_setup_info, 0xf6add22b, "");
SYMBOL_CRC(nf_nat_alloc_null_binding, 0xe227b0bb, "_gpl");
SYMBOL_CRC(nf_nat_packet, 0x93f04f8d, "_gpl");
SYMBOL_CRC(nf_nat_inet_fn, 0xecbde28e, "_gpl");
SYMBOL_CRC(nf_nat_icmp_reply_translation, 0x9bd054da, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_register_fn, 0x513e0386, "_gpl");
SYMBOL_CRC(nf_nat_ipv4_unregister_fn, 0xdbc49815, "_gpl");
SYMBOL_CRC(nf_nat_icmpv6_reply_translation, 0x3080cbf3, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_register_fn, 0xa8992c51, "_gpl");
SYMBOL_CRC(nf_nat_ipv6_unregister_fn, 0xbe6c0f33, "_gpl");
SYMBOL_CRC(nf_nat_inet_register_fn, 0x11ca5300, "_gpl");
SYMBOL_CRC(nf_nat_inet_unregister_fn, 0xdd76b6d8, "_gpl");
SYMBOL_CRC(__nf_nat_mangle_tcp_packet, 0x3d6ebc31, "");
SYMBOL_CRC(nf_nat_mangle_udp_packet, 0x268ae1cd, "");
SYMBOL_CRC(nf_nat_follow_master, 0xddd1efb8, "");
SYMBOL_CRC(nf_nat_redirect_ipv4, 0xd68b19b8, "_gpl");
SYMBOL_CRC(nf_nat_redirect_ipv6, 0x94aed1f2, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv4, 0x7ec1c18a, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_ipv6, 0xc54f0a1c, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_register_notifiers, 0x3bc17c49, "_gpl");
SYMBOL_CRC(nf_nat_masquerade_inet_unregister_notifiers, 0xd9c25654, "_gpl");
SYMBOL_CRC(nf_ct_nat, 0x7d49528a, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x993e2b38, "nf_ct_ext_add" },
	{ 0xc49ea884, "__do_once_done" },
	{ 0xf44d1e2c, "nf_conntrack_find_get" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x25d8e31d, "nf_ip6_checksum" },
	{ 0x1cd74a11, "skb_copy_bits" },
	{ 0x567424e9, "nf_hook_entries_insert_raw" },
	{ 0x5f7d7b5f, "xfrm_lookup" },
	{ 0x71044cfe, "nf_ct_seqadj_set" },
	{ 0x8060debe, "skb_put" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xb0e602eb, "memmove" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x5e2534ba, "nf_ct_helper_expectfn_unregister" },
	{ 0x87ddf4c7, "__xfrm_decode_session" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x7638dcb6, "nf_ct_helper_expectfn_register" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa747d74, "pskb_expand_head" },
	{ 0x70cd7537, "register_pernet_subsys" },
	{ 0xc3235e89, "nf_conntrack_tuple_taken" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0x90d1abbd, "nf_ct_iterate_cleanup_net" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x53a1aa87, "ipv6_skip_exthdr" },
	{ 0xabb0cb54, "nf_register_net_hooks" },
	{ 0xfe029963, "unregister_inetaddr_notifier" },
	{ 0x64fdd654, "nf_ipv6_ops" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xe2b8499f, "module_put" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x8ffe7e89, "nf_conntrack_htable_size" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x5ced6dce, "nf_conntrack_alter_reply" },
	{ 0xc6e382b1, "ip_route_me_harder" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x78d0199d, "nf_hook_entries_delete_raw" },
	{ 0x91ab3050, "skb_ensure_writable" },
	{ 0xd7ad3920, "nf_unregister_net_hooks" },
	{ 0x69ef3d9e, "inet_select_addr" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xfe731af8, "nf_ct_invert_tuple" },
	{ 0xc08ce0, "unregister_pernet_subsys" },
	{ 0x16224820, "skb_checksum" },
	{ 0x2fe252cc, "unregister_inet6addr_notifier" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x408c999a, "nf_ct_delete" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xda2f393d, "nf_ip_checksum" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x4d68b69e, "register_btf_kfunc_id_set" },
	{ 0x363ac88a, "nf_ct_iterate_destroy" },
	{ 0xdcc81a4c, "inet_proto_csum_replace16" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0x10bd36f3, "__put_net" },
	{ 0xb15b4109, "crc32c" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0xe17678a, "siphash_4u64" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x82246be6, "__skb_checksum" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x1a88276a, "inet_proto_csum_replace4" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x60352082, "register_inet6addr_notifier" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x5089f45f, "ip_send_check" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xc9ed10cc, "dst_release" },
	{ 0xec30001a, "nf_ct_kill_acct" },
	{ 0x289c3714, "nf_ct_alloc_hashtable" },
	{ 0x90bb6d0e, "nf_nat_hook" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xf68285c0, "register_inetaddr_notifier" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "2CFEB6890DB12EDE142B41A");
MODULE_INFO(rhelversion, "9.6");
