#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_DATA(synproxy_net_id, "_gpl", "");
KSYMTAB_FUNC(synproxy_parse_options, "_gpl", "");
KSYMTAB_FUNC(synproxy_init_timestamp_cookie, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack, "_gpl", "");
KSYMTAB_FUNC(ipv4_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv4_fini, "_gpl", "");
KSYMTAB_FUNC(synproxy_send_client_synack_ipv6, "_gpl", "");
KSYMTAB_FUNC(synproxy_recv_client_ack_ipv6, "_gpl", "");
KSYMTAB_FUNC(ipv6_synproxy_hook, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_init, "_gpl", "");
KSYMTAB_FUNC(nf_synproxy_ipv6_fini, "_gpl", "");

SYMBOL_CRC(synproxy_net_id, 0xca9fc082, "_gpl");
SYMBOL_CRC(synproxy_parse_options, 0xff1f9f04, "_gpl");
SYMBOL_CRC(synproxy_init_timestamp_cookie, 0x1f099794, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack, 0x75dbc949, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack, 0xf5e73968, "_gpl");
SYMBOL_CRC(ipv4_synproxy_hook, 0x3a6dcb86, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_init, 0x64f3d0d9, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv4_fini, 0xe4277ed4, "_gpl");
SYMBOL_CRC(synproxy_send_client_synack_ipv6, 0x4d95bd31, "_gpl");
SYMBOL_CRC(synproxy_recv_client_ack_ipv6, 0x3e400272, "_gpl");
SYMBOL_CRC(ipv6_synproxy_hook, 0x08d7a715, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_init, 0x30ee91e4, "_gpl");
SYMBOL_CRC(nf_synproxy_ipv6_fini, 0xb03a3fe9, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xb43f9365, "ktime_get" },
	{ 0x70cd7537, "register_pernet_subsys" },
	{ 0x79580a46, "seq_printf" },
	{ 0xac5f1630, "seq_puts" },
	{ 0xc08ce0, "unregister_pernet_subsys" },
	{ 0xabb0cb54, "nf_register_net_hooks" },
	{ 0xd7ad3920, "nf_unregister_net_hooks" },
	{ 0x91ab3050, "skb_ensure_writable" },
	{ 0x1a88276a, "inet_proto_csum_replace4" },
	{ 0xc6e382b1, "ip_route_me_harder" },
	{ 0x38b28dc1, "ip_local_out" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0xb47cca30, "csum_ipv6_magic" },
	{ 0xbf9adffa, "security_skb_classify_flow" },
	{ 0x64fdd654, "nf_ipv6_ops" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x5f7d7b5f, "xfrm_lookup" },
	{ 0x255dd1a, "ip6_local_out" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x1cd74a11, "skb_copy_bits" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xb451500c, "remove_proc_entry" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x3b08a8f0, "nf_ct_destroy" },
	{ 0x5a6cdb52, "nf_ct_zone_dflt" },
	{ 0x38f7fe7f, "nf_ct_tmpl_alloc" },
	{ 0x993e2b38, "nf_ct_ext_add" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x3ab5ad38, "proc_create_net_data" },
	{ 0x1ef37e4, "nf_ct_tmpl_free" },
	{ 0x89d99ee1, "__nf_ct_ext_find" },
	{ 0x3935ff5a, "__alloc_skb" },
	{ 0x8060debe, "skb_put" },
	{ 0x53a1aa87, "ipv6_skip_exthdr" },
	{ 0xb6d2b527, "nf_ct_seqadj_init" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0x7ca64a0b, "__cookie_v4_init_sequence" },
	{ 0x9843f501, "__cookie_v4_check" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "nf_conntrack");


MODULE_INFO(srcversion, "246D577FD42568BDE6679A3");
MODULE_INFO(rhelversion, "9.6");
