#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(nft_do_chain, "_gpl", "");
KSYMTAB_FUNC(nft_request_module, "_gpl", "");
KSYMTAB_FUNC(nft_register_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_chain_type, "_gpl", "");
KSYMTAB_FUNC(nft_register_expr, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_expr, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate, "_gpl", "");
KSYMTAB_FUNC(nft_set_lookup_global, "_gpl", "");
KSYMTAB_FUNC(nf_tables_bind_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_activate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_set, "_gpl", "");
KSYMTAB_FUNC(nf_tables_destroy_set, "_gpl", "");
KSYMTAB_FUNC(nft_set_elem_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_set_catchall_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_register_obj, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_obj, "_gpl", "");
KSYMTAB_FUNC(nft_obj_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_obj_notify, "_gpl", "");
KSYMTAB_FUNC(nft_register_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_unregister_flowtable_type, "_gpl", "");
KSYMTAB_FUNC(nft_flowtable_lookup, "_gpl", "");
KSYMTAB_FUNC(nf_tables_deactivate_flowtable, "_gpl", "");
KSYMTAB_FUNC(nf_tables_trans_destroy_flush_work, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_dependency, "_gpl", "");
KSYMTAB_FUNC(nft_chain_validate_hooks, "_gpl", "");
KSYMTAB_FUNC(nft_parse_u32_check, "_gpl", "");
KSYMTAB_FUNC(nft_dump_register, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_load, "_gpl", "");
KSYMTAB_FUNC(nft_parse_register_store, "_gpl", "");
KSYMTAB_FUNC(nft_data_init, "_gpl", "");
KSYMTAB_FUNC(nft_data_release, "_gpl", "");
KSYMTAB_FUNC(nft_data_dump, "_gpl", "");
KSYMTAB_FUNC(__nft_release_basechain, "_gpl", "");
KSYMTAB_DATA(nft_trace_enabled, "_gpl", "");
KSYMTAB_FUNC(nft_set_do_lookup, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_eval, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_eval, "_gpl", "");
KSYMTAB_DATA(nft_meta_policy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_validate, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_init, "_gpl", "");
KSYMTAB_FUNC(nft_meta_get_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_dump, "_gpl", "");
KSYMTAB_FUNC(nft_meta_set_destroy, "_gpl", "");
KSYMTAB_FUNC(nft_meta_inner_eval, "_gpl", "");

SYMBOL_CRC(nft_do_chain, 0xdbd706a4, "_gpl");
SYMBOL_CRC(nft_request_module, 0xea335dcc, "_gpl");
SYMBOL_CRC(nft_register_chain_type, 0x7a331e2b, "_gpl");
SYMBOL_CRC(nft_unregister_chain_type, 0xf94c9e20, "_gpl");
SYMBOL_CRC(nft_register_expr, 0x63a8a8bb, "_gpl");
SYMBOL_CRC(nft_unregister_expr, 0xd5d475d8, "_gpl");
SYMBOL_CRC(nft_chain_validate, 0x29263048, "_gpl");
SYMBOL_CRC(nft_set_lookup_global, 0x494b85ef, "_gpl");
SYMBOL_CRC(nf_tables_bind_set, 0x62d5dd23, "_gpl");
SYMBOL_CRC(nf_tables_activate_set, 0x01484009, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_set, 0xe3642bf5, "_gpl");
SYMBOL_CRC(nf_tables_destroy_set, 0x5e5ed90a, "_gpl");
SYMBOL_CRC(nft_set_elem_destroy, 0xa956c5b0, "_gpl");
SYMBOL_CRC(nft_set_catchall_lookup, 0xc83c4259, "_gpl");
SYMBOL_CRC(nft_register_obj, 0x394fc3a6, "_gpl");
SYMBOL_CRC(nft_unregister_obj, 0x0c43b176, "_gpl");
SYMBOL_CRC(nft_obj_lookup, 0x1df2071b, "_gpl");
SYMBOL_CRC(nft_obj_notify, 0xe84881b5, "_gpl");
SYMBOL_CRC(nft_register_flowtable_type, 0x28a14528, "_gpl");
SYMBOL_CRC(nft_unregister_flowtable_type, 0x75e12fbd, "_gpl");
SYMBOL_CRC(nft_flowtable_lookup, 0xbee1f29e, "_gpl");
SYMBOL_CRC(nf_tables_deactivate_flowtable, 0x72a3c507, "_gpl");
SYMBOL_CRC(nf_tables_trans_destroy_flush_work, 0x3251d762, "_gpl");
SYMBOL_CRC(nft_chain_validate_dependency, 0x759431ae, "_gpl");
SYMBOL_CRC(nft_chain_validate_hooks, 0x1f10603e, "_gpl");
SYMBOL_CRC(nft_parse_u32_check, 0xde57b5f5, "_gpl");
SYMBOL_CRC(nft_dump_register, 0xf31d23d9, "_gpl");
SYMBOL_CRC(nft_parse_register_load, 0xe2b8cc13, "_gpl");
SYMBOL_CRC(nft_parse_register_store, 0xf079bfc5, "_gpl");
SYMBOL_CRC(nft_data_init, 0x1a447a9a, "_gpl");
SYMBOL_CRC(nft_data_release, 0x373b1f87, "_gpl");
SYMBOL_CRC(nft_data_dump, 0xa8354b2b, "_gpl");
SYMBOL_CRC(__nft_release_basechain, 0xc3577901, "_gpl");
SYMBOL_CRC(nft_trace_enabled, 0x41b71e65, "_gpl");
SYMBOL_CRC(nft_set_do_lookup, 0xb3f62dd6, "_gpl");
SYMBOL_CRC(nft_meta_get_eval, 0x6d155ffd, "_gpl");
SYMBOL_CRC(nft_meta_set_eval, 0x7824a562, "_gpl");
SYMBOL_CRC(nft_meta_policy, 0xb4e0fdb6, "_gpl");
SYMBOL_CRC(nft_meta_get_init, 0x6e251da6, "_gpl");
SYMBOL_CRC(nft_meta_set_validate, 0x71a2c768, "_gpl");
SYMBOL_CRC(nft_meta_set_init, 0x21dc674c, "_gpl");
SYMBOL_CRC(nft_meta_get_dump, 0x2966f7af, "_gpl");
SYMBOL_CRC(nft_meta_set_dump, 0x025b189e, "_gpl");
SYMBOL_CRC(nft_meta_set_destroy, 0x0ca74b8a, "_gpl");
SYMBOL_CRC(nft_meta_inner_eval, 0x6ba7e34e, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc49ea884, "__do_once_done" },
	{ 0x5b0a1700, "__netlink_dump_start" },
	{ 0xe2c5d11e, "flow_rule_alloc" },
	{ 0xaeb23a99, "try_module_get" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0x5afc722e, "__audit_log_nfcfg" },
	{ 0x1cd74a11, "skb_copy_bits" },
	{ 0xd315e99e, "__nlmsg_put" },
	{ 0x8060debe, "skb_put" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x8e92f7c4, "static_key_slow_inc" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xedbaee5e, "nla_strcmp" },
	{ 0xe113bbbc, "csum_partial" },
	{ 0xb0e602eb, "memmove" },
	{ 0x656e4a6e, "snprintf" },
	{ 0x541526e7, "nla_reserve" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x73dd54eb, "irq_fpu_usable" },
	{ 0x7a53a06d, "flow_indr_dev_exists" },
	{ 0x1ba59527, "__kmalloc_node" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x53569707, "this_cpu_off" },
	{ 0x2c82c36a, "security_secmark_relabel_packet" },
	{ 0x2968f17e, "nfnetlink_set_err" },
	{ 0x75d0deb9, "nsecs_to_jiffies64" },
	{ 0x7b37d4a7, "_find_first_zero_bit" },
	{ 0x6d7c7dcc, "bitmap_cut" },
	{ 0xde302cf6, "flow_block_cb_free" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x443b028e, "nfnetlink_subsys_register" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xeca957d1, "__bitmap_and" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x4302d0eb, "free_pages" },
	{ 0x3bace946, "__module_get" },
	{ 0x148653, "vsnprintf" },
	{ 0xa1963f88, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x99b82caa, "__dev_get_by_name" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x70cd7537, "register_pernet_subsys" },
	{ 0x2f4880df, "static_key_slow_dec" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x7b40705f, "__ip_options_compile" },
	{ 0x92997ed8, "_printk" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xf82ec573, "rb_prev" },
	{ 0x5bbdf93f, "nf_route" },
	{ 0x4129f5ee, "kernel_fpu_begin_mask" },
	{ 0xa916b694, "strnlen" },
	{ 0x3935ff5a, "__alloc_skb" },
	{ 0x38722f80, "kernel_fpu_end" },
	{ 0x64fdd654, "nf_ipv6_ops" },
	{ 0x618911fc, "numa_node" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0xe2b8499f, "module_put" },
	{ 0x615911d7, "__bitmap_set" },
	{ 0x599fb41c, "kvmalloc_node" },
	{ 0xe18cf832, "nf_unregister_net_hook" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0xfe5d4bb2, "sys_tz" },
	{ 0x80ed596f, "nf_register_net_hook" },
	{ 0x807ca533, "__skb_get_hash_net" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0x19bd383b, "security_secmark_refcount_dec" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0xc6e382b1, "ip_route_me_harder" },
	{ 0x2f1edb3c, "skb_store_bits" },
	{ 0x89aa73, "dev_get_by_index_rcu" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xb4866ab3, "nfnetlink_unicast" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0x91ab3050, "skb_ensure_writable" },
	{ 0xc0ff12fb, "nla_strdup" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50be5e9b, "rhashtable_walk_start_check" },
	{ 0x449ad0a7, "memcmp" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xdb065657, "nfnl_unlock" },
	{ 0xbcab6ee6, "sscanf" },
	{ 0x44c15054, "flow_indr_dev_setup_offload" },
	{ 0x3ff4b98d, "rhashtable_walk_stop" },
	{ 0xb44e18ea, "audit_enabled" },
	{ 0x838d2bc8, "siphash_3u32" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc08ce0, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x33f3d725, "rhashtable_free_and_destroy" },
	{ 0x16224820, "skb_checksum" },
	{ 0xfb578fc5, "memset" },
	{ 0x92ec510d, "jiffies64_to_msecs" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x3645f9aa, "nfnetlink_send" },
	{ 0xcf8a5740, "__get_task_comm" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x51ef7b65, "__pskb_pull_tail" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0xf88f18da, "nfnetlink_subsys_unregister" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xa59c128f, "from_kgid_munged" },
	{ 0xfb384d37, "kasprintf" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a6d3d5, "skb_trim" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x2d39b0a7, "kstrdup" },
	{ 0x10bd36f3, "__put_net" },
	{ 0x953e1b9e, "ktime_get_real_seconds" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0xf9d8e867, "ipv6_find_hdr" },
	{ 0xb15b4109, "crc32c" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0xc38259af, "__this_cpu_preempt_check" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0xdea11ac1, "ipv4_mtu" },
	{ 0x2f03fc4b, "security_secmark_refcount_inc" },
	{ 0x82246be6, "__skb_checksum" },
	{ 0x5ce3b588, "nfnl_lock" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x1a88276a, "inet_proto_csum_replace4" },
	{ 0xdf54a8f7, "netlink_unregister_notifier" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0xb29b60a9, "rhltable_init" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0xfff5afc, "time64_to_tm" },
	{ 0xc9ed10cc, "dst_release" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xe1486531, "boot_cpu_data" },
	{ 0x9bb964f9, "rhashtable_walk_next" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xfa599bb2, "netlink_register_notifier" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xf9c1f9ab, "security_secctx_to_secid" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x7aa1756e, "kvfree" },
	{ 0x349cba85, "strchr" },
	{ 0x47884890, "system_power_efficient_wq" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0xa7da95d9, "rhashtable_walk_exit" },
	{ 0xf90a1e85, "__x86_indirect_thunk_r8" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xf09b5d9a, "get_zeroed_page" },
	{ 0xc4f0da12, "ktime_get_with_offset" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x7d5e1008, "__crc32c_le_shift" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0x18e60984, "__do_once_start" },
	{ 0xa24f23d8, "__request_module" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x612e2916, "nfnetlink_has_listeners" },
	{ 0x2f2c95c4, "flush_work" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "nfnetlink");


MODULE_INFO(srcversion, "CD547913336C8342C7343F4");
MODULE_INFO(rhelversion, "9.6");
