#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(macsec_pn_wrapped, "_gpl", "");
KSYMTAB_FUNC(macsec_get_real_dev, "_gpl", "");
KSYMTAB_FUNC(macsec_netdev_is_offloaded, "_gpl", "");

SYMBOL_CRC(macsec_pn_wrapped, 0xee6e81f9, "_gpl");
SYMBOL_CRC(macsec_get_real_dev, 0xcf43041a, "_gpl");
SYMBOL_CRC(macsec_netdev_is_offloaded, 0x9619618b, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xc217fbdd, "skb_copy_expand" },
	{ 0xc9ed10cc, "dst_release" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x51ef7b65, "__pskb_pull_tail" },
	{ 0xe5b0329b, "register_netdevice" },
	{ 0x177855c2, "netdev_upper_dev_link" },
	{ 0x51e486e7, "netdev_upper_dev_unlink" },
	{ 0xd64ce006, "unregister_netdevice_queue" },
	{ 0xcc7f158f, "metadata_dst_alloc" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xc34fabee, "netif_stacked_transfer_operstate" },
	{ 0xbfc3b980, "linkwatch_fire_event" },
	{ 0x670ecece, "__x86_indirect_thunk_rbx" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xf805bb60, "netdev_rx_handler_register" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0x4a6d3d5, "skb_trim" },
	{ 0xafd744c6, "__x86_indirect_thunk_rbp" },
	{ 0x82faf550, "__nla_parse" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0xf037da35, "netdev_rx_handler_unregister" },
	{ 0x5c1f9f7c, "dev_set_mtu" },
	{ 0x9fdecc31, "unregister_netdevice_many" },
	{ 0x71759287, "netif_carrier_off" },
	{ 0xa14a5b7e, "dev_mc_unsync" },
	{ 0x5af6bcee, "dev_uc_unsync" },
	{ 0xa9f608a2, "dev_uc_del" },
	{ 0x362f9a8, "__x86_indirect_thunk_r12" },
	{ 0x3b8c77f7, "dev_uc_add" },
	{ 0x1a79c8e9, "__x86_indirect_thunk_r13" },
	{ 0x83480106, "netif_carrier_on" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x69acdf38, "memcpy" },
	{ 0x4c236f6f, "__x86_indirect_thunk_r15" },
	{ 0xfb578fc5, "memset" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xdd454579, "genlmsg_put" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0x92997ed8, "_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0x225066fe, "rtnl_link_register" },
	{ 0x3cdf78ef, "genl_register_family" },
	{ 0x8cbfcc41, "rtnl_link_unregister" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x37a0cba, "kfree" },
	{ 0x6ffa6dc2, "crypto_destroy_tfm" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xd5552298, "crypto_alloc_aead" },
	{ 0x1ff8d3f1, "crypto_aead_setkey" },
	{ 0xd76a033d, "crypto_aead_setauthsize" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0xa9873c4a, "nla_put" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0xb0e602eb, "memmove" },
	{ 0x81860c65, "skb_pull" },
	{ 0xd1bfbf17, "___pskb_trim" },
	{ 0x66357cd5, "ether_setup" },
	{ 0xc8094961, "metadata_dst_free" },
	{ 0xe604c240, "dev_fetch_sw_netstats" },
	{ 0xeab9212f, "dev_mc_sync" },
	{ 0x9cff86fd, "dev_uc_sync" },
	{ 0xac81f41c, "dev_set_allmulti" },
	{ 0x8ed4bee5, "dev_set_promiscuity" },
	{ 0x9f54ead7, "gro_cells_destroy" },
	{ 0xd32c9ef6, "genl_unregister_family" },
	{ 0x60a13e90, "rcu_barrier" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0x3bcbceab, "__dev_queue_xmit" },
	{ 0x2b889be8, "skb_clone" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0x6cf44472, "skb_cow_data" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9fc6acf0, "skb_to_sgvec" },
	{ 0xa35238e8, "crypto_aead_decrypt" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0x87dd9e95, "skb_copy" },
	{ 0x4998c5a4, "eth_type_trans" },
	{ 0xbc28f745, "gro_cells_receive" },
	{ 0xb875c9b0, "__dev_get_by_index" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0xca5c6a14, "__netif_rx" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xbd1d82c2, "gro_cells_init" },
	{ 0x56470118, "__warn_printk" },
	{ 0xdb4f5010, "skb_push" },
	{ 0x8060debe, "skb_put" },
	{ 0x78909f6f, "crypto_aead_encrypt" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "");


MODULE_INFO(srcversion, "B0EC060C24EB84872514B46");
MODULE_INFO(rhelversion, "9.6");
