#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(usbnet_get_endpoints, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_ethernet_addr, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_start, "_gpl", "");
KSYMTAB_FUNC(usbnet_status_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_skb_return, "_gpl", "");
KSYMTAB_FUNC(usbnet_update_max_qlen, "_gpl", "");
KSYMTAB_FUNC(usbnet_change_mtu, "_gpl", "");
KSYMTAB_FUNC(usbnet_defer_kevent, "_gpl", "");
KSYMTAB_FUNC(usbnet_pause_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume_rx, "_gpl", "");
KSYMTAB_FUNC(usbnet_purge_paused_rxq, "_gpl", "");
KSYMTAB_FUNC(usbnet_unlink_rx_urbs, "_gpl", "");
KSYMTAB_FUNC(usbnet_stop, "_gpl", "");
KSYMTAB_FUNC(usbnet_open, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link_ksettings_internal, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_link_ksettings_mii, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_link, "_gpl", "");
KSYMTAB_FUNC(usbnet_nway_reset, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_drvinfo, "_gpl", "");
KSYMTAB_FUNC(usbnet_get_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_msglevel, "_gpl", "");
KSYMTAB_FUNC(usbnet_set_rx_mode, "_gpl", "");
KSYMTAB_FUNC(usbnet_tx_timeout, "_gpl", "");
KSYMTAB_FUNC(usbnet_start_xmit, "_gpl", "");
KSYMTAB_FUNC(usbnet_disconnect, "_gpl", "");
KSYMTAB_FUNC(usbnet_probe, "_gpl", "");
KSYMTAB_FUNC(usbnet_suspend, "_gpl", "");
KSYMTAB_FUNC(usbnet_resume, "_gpl", "");
KSYMTAB_FUNC(usbnet_device_suggests_idle, "", "");
KSYMTAB_FUNC(usbnet_manage_power, "", "");
KSYMTAB_FUNC(usbnet_link_change, "", "");
KSYMTAB_FUNC(usbnet_read_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd, "_gpl", "");
KSYMTAB_FUNC(usbnet_read_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_nopm, "_gpl", "");
KSYMTAB_FUNC(usbnet_write_cmd_async, "_gpl", "");

SYMBOL_CRC(usbnet_get_endpoints, 0x2aacfb6d, "_gpl");
SYMBOL_CRC(usbnet_get_ethernet_addr, 0x314c3592, "_gpl");
SYMBOL_CRC(usbnet_status_start, 0x84f2d166, "_gpl");
SYMBOL_CRC(usbnet_status_stop, 0xefdce37d, "_gpl");
SYMBOL_CRC(usbnet_skb_return, 0x309f6a59, "_gpl");
SYMBOL_CRC(usbnet_update_max_qlen, 0x7dfc780f, "_gpl");
SYMBOL_CRC(usbnet_change_mtu, 0x5d33e7b3, "_gpl");
SYMBOL_CRC(usbnet_defer_kevent, 0x23e45311, "_gpl");
SYMBOL_CRC(usbnet_pause_rx, 0xf2867620, "_gpl");
SYMBOL_CRC(usbnet_resume_rx, 0x393002a0, "_gpl");
SYMBOL_CRC(usbnet_purge_paused_rxq, 0xd9df7456, "_gpl");
SYMBOL_CRC(usbnet_unlink_rx_urbs, 0xffbdce57, "_gpl");
SYMBOL_CRC(usbnet_stop, 0xec3bdf4a, "_gpl");
SYMBOL_CRC(usbnet_open, 0xc03bc4fd, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_mii, 0x5d261296, "_gpl");
SYMBOL_CRC(usbnet_get_link_ksettings_internal, 0x27efe25f, "_gpl");
SYMBOL_CRC(usbnet_set_link_ksettings_mii, 0x544a9603, "_gpl");
SYMBOL_CRC(usbnet_get_link, 0xa6ee9001, "_gpl");
SYMBOL_CRC(usbnet_nway_reset, 0xdce77921, "_gpl");
SYMBOL_CRC(usbnet_get_drvinfo, 0xfaf40e0d, "_gpl");
SYMBOL_CRC(usbnet_get_msglevel, 0xcefaad2d, "_gpl");
SYMBOL_CRC(usbnet_set_msglevel, 0x09169d8f, "_gpl");
SYMBOL_CRC(usbnet_set_rx_mode, 0x03450a43, "_gpl");
SYMBOL_CRC(usbnet_tx_timeout, 0x3ca2bdfd, "_gpl");
SYMBOL_CRC(usbnet_start_xmit, 0x6b91389b, "_gpl");
SYMBOL_CRC(usbnet_disconnect, 0x806207e5, "_gpl");
SYMBOL_CRC(usbnet_probe, 0x5d5a1cd1, "_gpl");
SYMBOL_CRC(usbnet_suspend, 0x24202cf7, "_gpl");
SYMBOL_CRC(usbnet_resume, 0xfefc5571, "_gpl");
SYMBOL_CRC(usbnet_device_suggests_idle, 0x1edf888b, "");
SYMBOL_CRC(usbnet_manage_power, 0x1d4167c0, "");
SYMBOL_CRC(usbnet_link_change, 0xe371a68d, "");
SYMBOL_CRC(usbnet_read_cmd, 0xdcf065f9, "_gpl");
SYMBOL_CRC(usbnet_write_cmd, 0xcc64b374, "_gpl");
SYMBOL_CRC(usbnet_read_cmd_nopm, 0xd6f68060, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_nopm, 0x4c400d65, "_gpl");
SYMBOL_CRC(usbnet_write_cmd_async, 0x8f6368ca, "_gpl");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xe12e618d, "usb_set_interface" },
	{ 0xad981c44, "usb_string" },
	{ 0xe1279dac, "__dynamic_dev_dbg" },
	{ 0x50cf7585, "hex2bin" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0xd49963be, "skb_defer_rx_timestamp" },
	{ 0x26a811d7, "netif_rx" },
	{ 0x4998c5a4, "eth_type_trans" },
	{ 0xf21f0826, "skb_queue_tail" },
	{ 0xc4b26115, "__dynamic_netdev_dbg" },
	{ 0x2d3385d3, "system_wq" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0x9d2ab8ac, "__tasklet_schedule" },
	{ 0x390a804b, "skb_queue_purge_reason" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x5c6e8500, "usb_get_urb" },
	{ 0xffe5076d, "usb_unlink_urb" },
	{ 0x8a085c50, "usb_free_urb" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x718e6320, "usb_submit_urb" },
	{ 0x7d8b24c4, "netdev_err" },
	{ 0x4d2a5ec6, "mii_ethtool_get_link_ksettings" },
	{ 0xb7b42a7, "mii_ethtool_set_link_ksettings" },
	{ 0x97c46362, "mii_nway_restart" },
	{ 0x37a0cba, "kfree" },
	{ 0x1e2e1eb3, "unregister_netdev" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0xd719937d, "usb_scuttle_anchored_urbs" },
	{ 0x43a73b9c, "usb_kill_urb" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x64ce7040, "free_netdev" },
	{ 0x88c23b42, "netdev_info" },
	{ 0x83480106, "netif_carrier_on" },
	{ 0x71759287, "netif_carrier_off" },
	{ 0xb2ce1e01, "usb_control_msg" },
	{ 0x69acdf38, "memcpy" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0xe06efc6, "usb_autopm_get_interface" },
	{ 0x270f935e, "usb_autopm_put_interface" },
	{ 0x8f1d326a, "usb_alloc_urb" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0xc4c96ce1, "mutex_lock" },
	{ 0xc7d78d85, "mutex_unlock" },
	{ 0x49fded5d, "mii_link_ok" },
	{ 0x2ced0292, "ethtool_op_get_link" },
	{ 0xc86aa78b, "usb_autopm_put_interface_async" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0xa916b694, "strnlen" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x7cd8d75e, "page_offset_base" },
	{ 0x97651e6c, "vmemmap_base" },
	{ 0x4c9d28b0, "phys_base" },
	{ 0xe1c961fe, "skb_clone_tx_timestamp" },
	{ 0x4fe90c8e, "usb_autopm_get_interface_async" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x32711d5, "dev_kfree_skb_any_reason" },
	{ 0x4e8e817a, "skb_tstamp_tx" },
	{ 0xc1eaf23c, "usb_anchor_urb" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0xaad8c7d6, "default_wake_function" },
	{ 0x48484365, "add_wait_queue" },
	{ 0x8ddd8aad, "schedule_timeout" },
	{ 0xbf5d022a, "remove_wait_queue" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xea3c74e, "tasklet_kill" },
	{ 0xc793b66e, "netif_device_detach" },
	{ 0xaa17844a, "netif_device_attach" },
	{ 0x838af515, "skb_dequeue" },
	{ 0x691d7757, "alloc_etherdev_mqs" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0xabfa8b43, "__init_waitqueue_head" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0xa07d1b3c, "tasklet_setup" },
	{ 0x78534f62, "init_timer_key" },
	{ 0x7d6b0bd0, "__mutex_rt_init" },
	{ 0xee67f4f0, "register_netdev" },
	{ 0x87d11e1d, "pm_runtime_enable" },
	{ 0x6ebe366f, "ktime_get_mono_fast_ns" },
	{ 0x3cf85989, "mod_timer" },
	{ 0x5aaf1148, "__netdev_alloc_skb" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xaf195c02, "__wake_up" },
	{ 0x3fd37d78, "netif_tx_wake_queue" },
	{ 0xbe616f37, "usb_get_from_anchor" },
	{ 0x7d5018dd, "usb_autopm_get_interface_no_resume" },
	{ 0x8060debe, "skb_put" },
	{ 0xeff3c214, "usb_clear_halt" },
	{ 0x4f92fd73, "eth_mac_addr" },
	{ 0x4892cce4, "eth_validate_addr" },
	{ 0x34397270, "dev_get_tstats64" },
	{ 0x3e44a0d6, "ethtool_op_get_ts_info" },
	{ 0x5c5bffbc, "param_ops_int" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "mii");


MODULE_INFO(srcversion, "DBC0ECB9F946659D3D59822");
MODULE_INFO(rhelversion, "9.6");
