#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_MITIGATION_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(tipc_nl_sk_walk, "", "");
KSYMTAB_FUNC(tipc_dump_start, "", "");
KSYMTAB_FUNC(tipc_dump_done, "", "");
KSYMTAB_FUNC(tipc_sk_fill_sock_diag, "", "");

SYMBOL_CRC(tipc_nl_sk_walk, 0x257b1417, "");
SYMBOL_CRC(tipc_dump_start, 0x96d7b554, "");
SYMBOL_CRC(tipc_dump_done, 0xe4dc7707, "");
SYMBOL_CRC(tipc_sk_fill_sock_diag, 0x6f0ee35e, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x13064196, "netlink_net_capable" },
	{ 0x200b2041, "in6addr_any" },
	{ 0xe914e41e, "strcpy" },
	{ 0xaa0c318b, "vscnprintf" },
	{ 0x5dc91722, "sock_i_uid" },
	{ 0x88db9f48, "__check_object_size" },
	{ 0x6e720ff2, "rtnl_unlock" },
	{ 0xd542439, "__ipv6_addr_type" },
	{ 0x551bd071, "__rb_erase_color" },
	{ 0xdf9208c0, "alloc_workqueue" },
	{ 0x4f941e3d, "bpf_trace_run4" },
	{ 0xd0d156e9, "__rht_bucket_nested" },
	{ 0xd315e99e, "__nlmsg_put" },
	{ 0x39179186, "idr_find" },
	{ 0x13c49cc2, "_copy_from_user" },
	{ 0x8060debe, "skb_put" },
	{ 0x6e6331dc, "register_net_sysctl" },
	{ 0xf229424a, "preempt_count_add" },
	{ 0x8d522714, "__rcu_read_lock" },
	{ 0x7f02188f, "__msecs_to_jiffies" },
	{ 0xf4b3afd6, "ip6_dst_hoplimit" },
	{ 0x7e852f1b, "trace_output_call" },
	{ 0xe5518fb0, "consume_skb" },
	{ 0x5e324f2e, "dev_add_pack" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xc5b6f236, "queue_work_on" },
	{ 0xe6097b2c, "trace_raw_output_prep" },
	{ 0xa85bbe00, "__SCT__tp_func_sk_data_ready" },
	{ 0xd8c23448, "nla_put_64bit" },
	{ 0x57ff5417, "udp_sock_create4" },
	{ 0x951a2773, "crypto_has_alg" },
	{ 0xca9360b5, "rb_next" },
	{ 0xb9825984, "__klp_sched_try_switch" },
	{ 0x9062ff4a, "rt_mutex_base_init" },
	{ 0x9d8fc9fe, "trace_event_printf" },
	{ 0x96848186, "scnprintf" },
	{ 0xf81bc0d4, "__ip_dev_find" },
	{ 0x420f499c, "dst_cache_set_ip4" },
	{ 0x7178aa70, "udp_tunnel6_xmit_skb" },
	{ 0x62737e1d, "sock_unregister" },
	{ 0xdd454579, "genlmsg_put" },
	{ 0xd1bfbf17, "___pskb_trim" },
	{ 0x8ad6b51a, "trace_event_raw_init" },
	{ 0xcc5c2df4, "trace_print_symbols_seq" },
	{ 0x69acdf38, "memcpy" },
	{ 0x37a0cba, "kfree" },
	{ 0x91dd7c9a, "pcpu_hot" },
	{ 0x3b72f08d, "preempt_schedule_notrace_thunk" },
	{ 0x48484365, "add_wait_queue" },
	{ 0x4782658e, "rhashtable_init" },
	{ 0x31b9195c, "__local_bh_disable_ip" },
	{ 0xd5552298, "crypto_alloc_aead" },
	{ 0x94b4df65, "__tracepoint_sk_data_ready" },
	{ 0x1d86c56d, "netdev_warn" },
	{ 0xd76a033d, "crypto_aead_setauthsize" },
	{ 0xb3087f55, "timer_delete_sync" },
	{ 0xa35238e8, "crypto_aead_decrypt" },
	{ 0x195d3bcd, "event_triggers_call" },
	{ 0x75c0ea15, "kernel_accept" },
	{ 0x3bace946, "__module_get" },
	{ 0x956402ae, "ip_route_output_flow" },
	{ 0xa1963f88, "rhashtable_walk_enter" },
	{ 0xa5526619, "rb_insert_color" },
	{ 0xb19a5453, "__per_cpu_offset" },
	{ 0x6181c6b4, "__pskb_copy_fclone" },
	{ 0xcbd4898c, "fortify_panic" },
	{ 0xbdfb6dbb, "__fentry__" },
	{ 0xa747d74, "pskb_expand_head" },
	{ 0x70cd7537, "register_pernet_subsys" },
	{ 0x6b464ac, "put_cmsg" },
	{ 0x390a804b, "skb_queue_purge_reason" },
	{ 0x7f24de73, "jiffies_to_usecs" },
	{ 0x58296d38, "trace_event_buffer_commit" },
	{ 0x6ffa6dc2, "crypto_destroy_tfm" },
	{ 0x4998c5a4, "eth_type_trans" },
	{ 0x65487097, "__x86_indirect_thunk_rax" },
	{ 0x92997ed8, "_printk" },
	{ 0xe6d2458e, "do_trace_netlink_extack" },
	{ 0xada38766, "dst_cache_destroy" },
	{ 0xc06172da, "proto_unregister" },
	{ 0x1d24c881, "___ratelimit" },
	{ 0xda7a8f3a, "sock_register" },
	{ 0x33e3450b, "ipv6_dev_find" },
	{ 0xc8827b75, "sysctl_vals" },
	{ 0xf0fdf6cb, "__stack_chk_fail" },
	{ 0x296695f, "refcount_warn_saturate" },
	{ 0x3ae3bf84, "queue_delayed_work_on" },
	{ 0xca897b97, "trace_event_ignore_this_pid" },
	{ 0xa916b694, "strnlen" },
	{ 0x3935ff5a, "__alloc_skb" },
	{ 0xb2fd5ceb, "__put_user_4" },
	{ 0x6383b27c, "__x86_indirect_thunk_rdx" },
	{ 0xae39f80e, "dst_cache_init" },
	{ 0x7adefbf6, "rt_write_unlock" },
	{ 0x73019e07, "sk_reset_timer" },
	{ 0x9f984513, "strrchr" },
	{ 0x40f67823, "skb_try_coalesce" },
	{ 0xfbbe07de, "proto_register" },
	{ 0xc217fbdd, "skb_copy_expand" },
	{ 0xd0654aba, "woken_wake_function" },
	{ 0x62f4e79c, "__wake_up_sync_key" },
	{ 0xf21f0826, "skb_queue_tail" },
	{ 0xe2b8499f, "module_put" },
	{ 0x476b165a, "sized_strscpy" },
	{ 0xaf793668, "__alloc_percpu_gfp" },
	{ 0x6fe0ac5b, "idr_remove" },
	{ 0x1ff8d3f1, "crypto_aead_setkey" },
	{ 0x33338211, "rcuref_get_slowpath" },
	{ 0x68f31cbd, "__list_add_valid" },
	{ 0xad5f0017, "perf_trace_buf_alloc" },
	{ 0xb875c9b0, "__dev_get_by_index" },
	{ 0xb6f85993, "perf_trace_run_bpf_submit" },
	{ 0x430cced, "init_net" },
	{ 0x1b9f41ee, "ipv6_stub" },
	{ 0x81860c65, "skb_pull" },
	{ 0x6091797f, "synchronize_rcu" },
	{ 0xff49b5ff, "idr_alloc" },
	{ 0xa07a37f0, "memchr" },
	{ 0x2469810f, "__rcu_read_unlock" },
	{ 0x55385e2e, "__x86_indirect_thunk_r14" },
	{ 0x78909f6f, "crypto_aead_encrypt" },
	{ 0xc6f3b3fc, "refcount_dec_if_one" },
	{ 0x17e4c872, "sk_skb_reason_drop" },
	{ 0xfde79dfc, "netlink_unicast" },
	{ 0x3cf85989, "mod_timer" },
	{ 0xceb58496, "__SCK__tp_func_sk_data_ready" },
	{ 0x56ff49d3, "dev_remove_pack" },
	{ 0xc9598f9b, "sk_free" },
	{ 0x1e6d26a8, "strstr" },
	{ 0x3c3c932d, "kernel_sock_shutdown" },
	{ 0xcb030155, "sock_no_accept" },
	{ 0x8c03d20c, "destroy_workqueue" },
	{ 0x120b336a, "__rb_insert_augmented" },
	{ 0xdb4f5010, "skb_push" },
	{ 0xfb2c9310, "dst_cache_get" },
	{ 0xdd599d48, "sock_no_listen" },
	{ 0xa9873c4a, "nla_put" },
	{ 0x5fadcf52, "proc_doulongvec_minmax" },
	{ 0x8b8939f4, "trace_event_reg" },
	{ 0x9166fada, "strncpy" },
	{ 0x4d9b652b, "rb_erase" },
	{ 0xd0760fc0, "kfree_sensitive" },
	{ 0xce295b0e, "iov_iter_kvec" },
	{ 0x2b8c9f18, "ip_mc_join_group" },
	{ 0xc917e655, "debug_smp_processor_id" },
	{ 0x53a1e8d9, "_find_next_bit" },
	{ 0x50be5e9b, "rhashtable_walk_start_check" },
	{ 0x5a5a2271, "__cpu_online_mask" },
	{ 0x4de1b9b3, "unregister_pernet_device" },
	{ 0x449ad0a7, "memcmp" },
	{ 0x9ed12e20, "kmalloc_large" },
	{ 0x173272f6, "lock_sock_nested" },
	{ 0xe1537255, "__list_del_entry_valid" },
	{ 0x3c3fce39, "__local_bh_enable_ip" },
	{ 0x533d2d07, "skb_copy_datagram_iter" },
	{ 0x3ff4b98d, "rhashtable_walk_stop" },
	{ 0x37befc70, "jiffies_to_msecs" },
	{ 0x355fac83, "sk_alloc" },
	{ 0x25201b94, "idr_destroy" },
	{ 0xd6742002, "preempt_schedule_thunk" },
	{ 0x706c5a65, "preempt_count_sub" },
	{ 0xc37eb51, "cancel_delayed_work" },
	{ 0xc08ce0, "unregister_pernet_subsys" },
	{ 0x9e683f75, "__cpu_possible_mask" },
	{ 0x6d2fc5a6, "net_namespace_list" },
	{ 0xfb578fc5, "memset" },
	{ 0xe8e14a3c, "kfree_skb_partial" },
	{ 0x6d3114ba, "rht_bucket_nested_insert" },
	{ 0x4a4209f8, "timer_shutdown_sync" },
	{ 0x74a3bf03, "udp_tunnel_sock_release" },
	{ 0x5b8239ca, "__x86_return_thunk" },
	{ 0xf1db1704, "nla_memcpy" },
	{ 0x17de3d5, "nr_cpu_ids" },
	{ 0x6ff607b6, "crypto_get_default_rng" },
	{ 0x6b10bee1, "_copy_to_user" },
	{ 0xfd6b252b, "sock_no_mmap" },
	{ 0xe06141e9, "security_sk_clone" },
	{ 0x51ef7b65, "__pskb_pull_tail" },
	{ 0xa9a9de35, "sock_no_sendpage" },
	{ 0x26a811d7, "netif_rx" },
	{ 0xece784c2, "rb_first" },
	{ 0x7aca8b9f, "klp_sched_try_switch_key" },
	{ 0x668402aa, "crypto_put_default_rng" },
	{ 0xec74d372, "rhashtable_destroy" },
	{ 0x57ae02b4, "rt_spin_unlock" },
	{ 0x4e640fe2, "setup_udp_tunnel_sock" },
	{ 0x9f66ae9, "udp_sock_create6" },
	{ 0xe2d5255a, "strcmp" },
	{ 0x4a6d3d5, "skb_trim" },
	{ 0x3ef238b, "rt_spin_lock" },
	{ 0x6cf44472, "skb_cow_data" },
	{ 0x9d0d6206, "unregister_netdevice_notifier" },
	{ 0xc9ec4e21, "free_percpu" },
	{ 0x15ba50a6, "jiffies" },
	{ 0x84560de0, "bpf_trace_run3" },
	{ 0x79bf5f77, "rhashtable_insert_slow" },
	{ 0x3c3ff9fd, "sprintf" },
	{ 0xd9d249b6, "sock_rfree" },
	{ 0x9198c061, "rt_read_lock" },
	{ 0x6d658ab0, "sock_i_ino" },
	{ 0x28aa6a67, "call_rcu" },
	{ 0xccf4a56, "kernel_listen" },
	{ 0x3bcbceab, "__dev_queue_xmit" },
	{ 0x44c10a52, "kvfree_call_rcu" },
	{ 0x67d3fa58, "trace_event_buffer_reserve" },
	{ 0xa5baaf01, "dev_nit_active" },
	{ 0xf39d6569, "cancel_delayed_work_sync" },
	{ 0x4819f08d, "sock_create_kern" },
	{ 0xd45cc6ca, "bin2hex" },
	{ 0x4e19b067, "rt_spin_trylock_bh" },
	{ 0x78534f62, "init_timer_key" },
	{ 0xc22f3e87, "dst_cache_set_ip6" },
	{ 0x6ec63aad, "pskb_put" },
	{ 0x949f7342, "__alloc_percpu" },
	{ 0xe091c977, "list_sort" },
	{ 0x66cca4f9, "__x86_indirect_thunk_rcx" },
	{ 0x66b4cc41, "kmemdup" },
	{ 0xd9dbf913, "rt_read_unlock" },
	{ 0x6729d3df, "__get_user_4" },
	{ 0xee91879b, "rb_first_postorder" },
	{ 0x2cf56265, "__dynamic_pr_debug" },
	{ 0xc36d0ada, "udp_tunnel_xmit_skb" },
	{ 0x3c12dfe, "cancel_work_sync" },
	{ 0x56470118, "__warn_printk" },
	{ 0xd2da1048, "register_netdevice_notifier" },
	{ 0xb77c4e33, "sock_recvmsg" },
	{ 0xd36dc10c, "get_random_u32" },
	{ 0xb0e6a56, "delayed_work_timer_fn" },
	{ 0x87dd9e95, "skb_copy" },
	{ 0x2b889be8, "skb_clone" },
	{ 0x12563d62, "dev_get_by_name" },
	{ 0xf5ddab17, "rt_write_lock" },
	{ 0x7d76816f, "_copy_from_iter" },
	{ 0x6b163845, "sock_release" },
	{ 0x84823cf3, "nla_strscpy" },
	{ 0xc7a4fbed, "rtnl_lock" },
	{ 0xb308c97d, "wait_woken" },
	{ 0xbf5d022a, "remove_wait_queue" },
	{ 0x4e68e9be, "rb_next_postorder" },
	{ 0x9bb964f9, "rhashtable_walk_next" },
	{ 0xa43697c0, "crypto_default_rng" },
	{ 0x41ed3709, "get_random_bytes" },
	{ 0x69b740b7, "sk_stop_timer" },
	{ 0xc1a30a9f, "unregister_net_sysctl_table" },
	{ 0xd32c9ef6, "genl_unregister_family" },
	{ 0xd39c9d48, "from_kuid_munged" },
	{ 0xa158cf98, "kmalloc_trace" },
	{ 0x754d539c, "strlen" },
	{ 0x82faf550, "__nla_parse" },
	{ 0x76959ff, "iov_iter_revert" },
	{ 0x349cba85, "strchr" },
	{ 0x3cdf78ef, "genl_register_family" },
	{ 0x7ab7526b, "kernel_sendmsg" },
	{ 0xb7f990e9, "rht_bucket_nested" },
	{ 0x7381287f, "trace_handle_return" },
	{ 0x9fc6acf0, "skb_to_sgvec" },
	{ 0xa7da95d9, "rhashtable_walk_exit" },
	{ 0x3dec4064, "register_pernet_device" },
	{ 0x2cf0c910, "sg_init_table" },
	{ 0x9768b999, "sock_init_data" },
	{ 0xeb233a45, "__kmalloc" },
	{ 0x4efbb54, "kmalloc_caches" },
	{ 0xb08bcb07, "release_sock" },
	{ 0x2d3385d3, "system_wq" },
	{ 0x609f1c7e, "synchronize_net" },
	{ 0xada67ab6, "proc_dointvec_minmax" },
	{ 0x1a205a25, "module_layout" },
};

MODULE_INFO(depends, "udp_tunnel,ip6_udp_tunnel,ipv6");


MODULE_INFO(srcversion, "D8BC04C31F2D43A211DD17D");
MODULE_INFO(rhelversion, "9.6");
